#pragma once

#include "RegDumpDocPaneDlgViewHelper.h"


// номера колонок для listFDD
namespace LISTFDD_C
{
	enum LISTFDD_C : int
	{
		NAME = 0,
		VALUE1,
		VALUE2,
	};
}

// номера строк для listFDD
namespace LISTFDD_L
{
	enum LISTFDD_L : int
	{
		TITLE = 0,
		REG177130,
		REG177132,
		NUM
	};
}


// номера колонок для listHDD
namespace LISTHDD_C
{
	enum LISTHDD_C : int
	{
		NAME1 = 0,
		VALUE11,
		VALUE12,
		NAME2,
		VALUE21,
		VALUE22
	};
}

// номера строк для listHDD
namespace LISTHDD_L
{
	enum LISTHDD_L : int
	{
		MODE = 0,
		R1F0,
		R1F1,
		R1F2,
		R1F3,
		R1F4,
		R1F5,
		R1F6,
		R1F7,
		R3F6,
		R3F7,
		NUM
	};
}

// номера строк для listOPTOK
namespace LISTOPTOK_L
{
	enum LISTOPTOK_L : int
	{
		REG177620 = 0,
		REG177622,
		REG177624,
		REG177626W,
		REG177626R,
		REG177630,
		NUM
	};
}
// номера колонок для listOPTOK
namespace LISTOPTOK_C
{
	enum LISTOPTOK_C : int
	{
		NAME = 0,
		VALUE,
	};
}


class CRegDumpViewFDD : public CRegDumpDocPaneDlgViewHelper
{
		DECLARE_DYNAMIC(CRegDumpViewFDD)


		CMultiEditListCtrl m_listFDD;
		CMultiEditListCtrl m_listHDD;
		CMultiEditListCtrl m_listOPTOK;

	public:
		enum { IDD = IDD_REGDUMP_FDD_DLG };
		CRegDumpViewFDD();
		virtual ~CRegDumpViewFDD() override;

		void            RecreateControls();
		void            DisplayRegDump();
	protected:
		void            DisplayFDDData();
		void            DisplayHDDData();
		void            DisplayOPTOKData();

		virtual void    DoDataExchange(CDataExchange *pDX) override;    // DDX/DDV support

		afx_msg LRESULT HandleInitDialog(WPARAM wp, LPARAM lp);
		afx_msg void    OnLvnItemchangedMdFddData(NMHDR *pNMHDR, LRESULT *pResult);

		DECLARE_MESSAGE_MAP()
};

